Subject: [PATCH 0/7] Add some Asahi Linux packages

From: Winter <[email-masked]>
Date: Sat, 4 Mar 2023 14:42:51 -0500

Hi Roman,

Thanks for the patches! I was going to work on getting Guix System running on Apple silicon machines at some point, glad more people are interested.

> The next step would be to support building a Linux with Rust modules. I'm waiting for some patches from the Rust team to do this.

Can you explain more what you mean by this?

> gnu: libdrm: Update to 2.4.114.

Is this updated version required by asahi-mesa? If so, it may be best to order it before adding asahi-mesa. (Also, I'm sure someone can correct me if this is a bad suggestion, but maybe mention changing the 'true's to 'enabled' in the configure flags in the change log, plus maybe why (e.g. is it deprecated in this release?))

> Please do not use Github archive URLs...

I believe this also applies to GitLab's too, so please make sure you change it for 'asahi-mesa' and 'asahi-mesa-headers' as well.

(Speaking of, is there a reason you use 'package/inherit' for 'u-boot-apple-m1' and 'asahi-mesa', but not 'asahi-mesa-headers' and 'asahi-mesa-utils'? I understand the difference between them (mostly), but not why you'd want to only do it for those packages.)

Thanks,
Winter